Package org.h2gis.functions.spatial.properties

## Class ST_IsValidDetail

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.api.DeterministicScalarFunction
    - - org.h2gis.functions.spatial.properties.ST_IsValidDetail

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

    public class ST_IsValidDetail
    extends org.h2gis.api.DeterministicScalarFunction

Returns a valid_detail (valid,reason,location) as an array of objects. If a geometry is valid or not and if not valid, a reason why and a location where.

Author:
  Erwan Bocher

### Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

### Constructor Summary

Constructors
`ST_IsValidDetail()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getJavaStaticMethod()`
`static String[]` `isValidDetail​(org.locationtech.jts.geom.Geometry geometry)` Returns a valid_detail as an array of objects [0] = isvalid,[1] = reason, [2] = error location
`static String[]` `isValidDetail​(org.locationtech.jts.geom.Geometry geometry, int flag)` Returns a valid_detail as an array of objects [0] = isvalid,[1] = reason, [2] = error location isValid equals true if the geometry is valid.

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Constructor Detail

#### ST_IsValidDetail

    public ST_IsValidDetail()

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

#### isValidDetail

    public static String[] isValidDetail​(org.locationtech.jts.geom.Geometry geometry)

Returns a valid_detail as an array of objects [0] = isvalid,[1] = reason, [2] = error location

Parameters:
  `geometry` -
Returns:

#### isValidDetail

    public static String[] isValidDetail​(org.locationtech.jts.geom.Geometry geometry,
                                         int flag)

Returns a valid_detail as an array of objects [0] = isvalid,[1] = reason, [2] = error location isValid equals true if the geometry is valid. reason correponds to an error message describing this error. error returns the location of this error (on the `Geometry` containing the error.

Parameters:
  `geometry` -
  `flag` -
Returns: